<?php

namespace Lean\Api\Attribute;

#[\Attribute(\Attribute::TARGET_PROPERTY | \Attribute::TARGET_CLASS)]
class ContextField
{
    public function __construct(
        public string $description = "",
        public bool $mandatory = false,
        public ?int $minLength = null,
        public ?int $maxLength = null,
        public ?string $regexFormat = null,
        public ?string $example = null,
    ) {}
}